<template>
	<view :class="'video-box ' + (isMine ? 'my-video' : '')" @click="playerHander">
		<image class="video-icon" src="https://zlwh.obs.cn-southwest-2.myhuaweicloud.com/orangeShop/video-play.png"></image>
	</view>
</template>

<script>
import videoIcon from 'https://zlwh.obs.cn-southwest-2.myhuaweicloud.com/orangeShop/video-play.png';
export default {
	data() {
		return {
			isPlay: false,
			videoIcon: videoIcon
		};
	},

	components: {},
	props: {
		message: {
			type: Object,
			default: () => {}
		},
		isMine: {
			type: Boolean,
			default: true
		}
	},
	watch: {
		message: {
			handler: function(newVal) {
				this.message=newVal
				 
			},
			immediate: true,
			deep: true
		}
	},
	methods: {
		playerHander() {
			uni.$emit('videoPlayerHandler', {
				isPlay: true,
				message: this.message
			});
		},
		stopHander() {
			this.isPlay = false;
		}
	}
};
</script>
<style>
@import './index.css';
</style>
